%define fontname        wqy-zenhei
%define fontdir         %{_datadir}/fonts/%{fontname}
%define fontconf        44-%{fontname}.conf
%define fontconfdir     %{_sysconfdir}/fonts/conf.d
%define fontconfavail   %{_sysconfdir}/fonts/conf.avail
%define catalogue       %{_sysconfdir}/X11/fontpath.d
%define setscript zenheiset

Name: %{fontname}-fonts
Summary: WenQuanYi Zen Hei CJK Font
Version: 0.8.38
Release: 1%{?dist}
# for font embedding exception please see
# http://www.gnu.org/licenses/gpl-faq.html#FontException
License: GPLv2 with exceptions
URL: http://wqy.sourceforge.net/en/
Group: User Interface/X
Source:    http://downloads.sourceforge.net/wqy/%{fontname}-%{version}-1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: mkfontdir

%description
WenQuanYi Zen Hei is a Hei-Ti style (sans-serif type) Chinese 
outline font. It is designed for general purpose text formatting 
and on-screen display of Chinese characters and symbols from
many other languages. The embolden strokes of the font glyphs 
produces enhanced screen contrast, making it easier to read
recognize. The embedded bitmap glyphs further enhance on-screen 
performance, which can be enabled with the provided configuration 
files. WenQuanYi Zen Hei provides a rather complete coverage to 
Chinese Hanzi glyphs, including both simplified and traditional 
forms. The total glyph number in this font is over 35,000, including 
over 21,000 Chinese Hanzi. This font has full coverage to GBK(CP936) 
charset, CJK Unified Ideographs, as well as the code-points 
needed for zh_cn, zh_sg, zh_tw, zh_hk, zh_mo, ja (Japanese) 
and ko (Korean) locales for fontconfig. Starting from version 
0.8, this font package has contained two font families, i.e. 
the proportionally-spaced Zen Hei, and a mono-spaced face 
named "WenQuanYi Zen Hei Mono".


%prep
%setup -q -n %{fontname}

%build
%{nil}

%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}%{fontdir}
install -d -m755 %{buildroot}%{fontconfdir}
install -d -m755 %{buildroot}%{fontconfavail}
install -p -m644 *.ttc  %{buildroot}%{fontdir}/
install -p -m644 *-%{fontname}*.conf \
        %{buildroot}%{fontconfavail}/
	
ln -s %{fontconfavail}/%{fontconf} \
      %{buildroot}%{fontconfdir}/%{fontconf}
      	
install -m 0755 -d %{buildroot}%{_bindir}

install -m 0744 -p %{setscript} \
        %{buildroot}%{_bindir}/%{setscript}
	
# Install catalogue symlink
mkdir -p %{buildroot}%{catalogue}
ln -sf %{fontdir} %{buildroot}%{catalogue}/%{name}

%{_bindir}/mkfontdir %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%dir %{fontdir}
%{fontdir}/*.ttc
%{fontdir}/fonts.dir
%config(noreplace) %{fontconfdir}/44-%{fontname}.conf
%config(noreplace) %{fontconfavail}/44-%{fontname}.conf
%config(noreplace) %{fontconfavail}/66-%{fontname}-sharp.conf
%config(noreplace) %{fontconfavail}/66-%{fontname}-sharp-no13px.conf
%attr(744 ,root ,root) %{_bindir}/%{setscript}

%{catalogue}/%{name}

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi

%changelog
*Sat Mar 07 2009 Qianqian Fang <fangqq@gmail.com> 0.8.38-1
- update to the final version of upstream v0.8 release

*Mon Oct 27 2008 Qianqian Fang <fangqq@gmail.com> 0.8.34-0.cvs20081027
- upstream new version prelease

*Wed Jun 25 2008 Qianqian Fang <fangqq@gmail.com> 0.6.26-0
- new upstream release

*Sat Apr 5 2008 Qianqian Fang <fangqq@gmail.com> 0.5.23-0
- new upstream release

*Fri Feb 15 2008 Qianqian Fang <fangqq@gmail.com> 0.4.23-1
- new upstream release

*Fri Nov 2 2007 Qianqian Fang <fangqq@gmail.com> 0.2.16-0.2.20071031cvs
- spec file clean up

*Thu Nov 1 2007 Qianqian Fang <fangqq@gmail.com> 0.2.16-0.1.20071031cvs
- initial packaging for Fedora (# 361121)
